'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _graphql = require('graphql');

const registeredEdges = {};

exports.default = type => {
  if (registeredEdges[type]) return registeredEdges[type];

  const newType = new _graphql.GraphQLObjectType({
    name: type + 'Edge',
    description: 'Generic edge to allow cursors',
    fields: () => ({
      node: {
        type: type
      },
      cursor: {
        type: _graphql.GraphQLString
      }
    })
  });

  registeredEdges[type] = newType;
  return newType;
};