'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _graphql = require('graphql');

var _PageTypeQL = require('./PageTypeQL');

var _PageTypeQL2 = _interopRequireDefault(_PageTypeQL);

var _SortInputQL = require('./SortInputQL');

var _SortInputQL2 = _interopRequireDefault(_SortInputQL);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = config => {
  const objectArgs = config.args;
  config.args = _extends({}, objectArgs, {
    first: { type: _graphql.GraphQLInt },
    last: { type: _graphql.GraphQLInt },
    after: { type: _graphql.GraphQLString },
    before: { type: _graphql.GraphQLString },
    search: { type: _graphql.GraphQLString }
  });

  if (config.sortables) {
    config.args.sort = { type: (0, _SortInputQL2.default)(config.type, config.sortables) };
  }

  config.type = (0, _PageTypeQL2.default)(config.type);

  return config;
};