'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _graphql = require('graphql');

var _EdgeTypeQL = require('./EdgeTypeQL');

var _EdgeTypeQL2 = _interopRequireDefault(_EdgeTypeQL);

var _PageInfoTypeQL = require('./PageInfoTypeQL');

var _PageInfoTypeQL2 = _interopRequireDefault(_PageInfoTypeQL);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const registeredTypes = {};

exports.default = type => {
  if (registeredTypes[type]) return registeredTypes[type];

  const newType = new _graphql.GraphQLObjectType({
    name: type + 'Page',
    fields: () => ({
      totalCount: {
        type: _graphql.GraphQLInt
      },
      edges: {
        type: new _graphql.GraphQLList((0, _EdgeTypeQL2.default)(type))
      },
      pageInfo: {
        type: _PageInfoTypeQL2.default
      }
    })
  });

  registeredTypes[type] = newType;
  return newType;
};