'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _graphql = require('graphql');

const registeredEnums = {};

exports.default = (type, sortables) => {
  if (registeredEnums[type]) return registeredEnums[type];

  const fields = {};
  sortables.forEach(v => {
    fields[v] = { value: v };
  });

  const newEnum = new _graphql.GraphQLEnumType({
    name: `${type}SortFieldsEnum`,
    values: fields
  });

  registeredEnums[type] = newEnum;
  return newEnum;
};