'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _graphql = require('graphql');

var _SortFieldsEnumQL = require('./SortFieldsEnumQL');

var _SortFieldsEnumQL2 = _interopRequireDefault(_SortFieldsEnumQL);

var _SortOrderEnumQL = require('./SortOrderEnumQL');

var _SortOrderEnumQL2 = _interopRequireDefault(_SortOrderEnumQL);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const registeredInputs = {};

exports.default = (type, sortables) => {
  if (registeredInputs[type]) return registeredInputs[type];

  const newType = new _graphql.GraphQLInputObjectType({
    name: `${type}SortInput`,
    fields: {
      by: {
        type: new _graphql.GraphQLNonNull((0, _SortFieldsEnumQL2.default)(type, sortables))
      },
      order: {
        type: _SortOrderEnumQL2.default,
        defaultValue: 'asc'
      }
    }
  });

  registeredInputs[type] = newType;
  return newType;
};