'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateCursor = exports.validateCursor = undefined;

var _jsonwebtoken = require('jsonwebtoken');

var _jsonwebtoken2 = _interopRequireDefault(_jsonwebtoken);

var _honeyConfig = require('./honey-config');

var _honeyConfig2 = _interopRequireDefault(_honeyConfig);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const validateCursor = exports.validateCursor = value => {
  return new Promise((resolve, reject) => {
    try {
      const cursor = _jsonwebtoken2.default.verify(value, _honeyConfig2.default.get().cursorSecret, {
        ignoreExpiration: true
      });
      resolve(cursor);
    } catch (error) {
      reject(new TypeError('Invalid cursor'));
    }
  });
};

const generateCursor = exports.generateCursor = (node, sort, filters) => {
  let obj = { _id: node._id };
  if (sort) {
    obj.sort = {
      field: sort.by,
      value: node[sort.by]
    };
  }

  if (filters) {
    obj.filters = filters;
  }

  return _jsonwebtoken2.default.sign(obj, _honeyConfig2.default.get().cursorSecret, {
    noTimestamp: true
  });
};